About version's value of config.php

I upgraded(shifted) from owncloud 9 to nextcloud 10.
Currently nextCloud is 10.0.4.

I had a question watching config.php. Config.php is continuous use from ownCloud.

‘version’ => ‘9.1.4.2’,

This is probably the ownCloud version. After that, I shifted to nextCloud 10 and upgraded in order from 10.0.1 to 10.0.4.
In the meantime, the Version was always “9.1.4.2”.

Should I change this value manually?
I tried changing it to 10.0.4, I got an error.

In the state similar to the login screen (no text form), the following error is displayed.

Downgrading is not supported and is likely to cause unpredictable issues (from 10.0.4 to 9.1.4.2)

Will I keep “9.1.4.2” for this version item for a long time?

Hi @zoo3,

For Nextcloud 10 the internal version number was still 9.1.x. NC still used the OC version numbers internally.
First with NC 11 the internal version number is changed to match the official version number 11.x.

Please leave the old version number in config.php as it was at 9.1.4.2.
As you already noticed, changing this value manually to a higher value causes an error message.

1 Like

Hi Schmu,

Thank you very much.
I was relieved.

Thanks,

1 Like